Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226764

Summary: link with ncurses
Product: [Fedora] Fedora Reporter: Miroslav Lichvar <mlichvar>
Component: yafcAssignee: Chris Petersen <lists>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcantrell
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-18 08:30:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 226748    
Attachments:
Description Flags
ignore gssapi.h header none

Description Miroslav Lichvar 2007-02-01 14:58:18 UTC
Description of problem:
Link with libncurses instead of libtermcap, libtermcap and termcap packages will
be removed.

Version-Release number of selected component (if applicable):
yafc-1.1.1-5.fc6

Steps to Reproduce:
1. rpm -q --requires yafc | grep termcap
  
Actual results:
libtermcap.so.2

Additional info:
A rebuild of the package will fix it.

Comment 1 Chris Petersen 2007-02-01 17:25:31 UTC
also adding ncurses br to make sure it works.   Do you want this just in -devel
and -fc6, or ported back to fc5 as well?

Comment 2 Miroslav Lichvar 2007-02-01 17:27:48 UTC
Just devel. Thanks.

Comment 3 Jesse Keating 2007-02-15 14:34:12 UTC
ping, is this done?

Comment 4 Chris Petersen 2007-02-15 17:17:54 UTC
It compiles in fc6, but something is broken in -devel and I haven't had time (or
really the know-how, for that matter) to figure out what's wrong.


Comment 5 Miroslav Lichvar 2007-02-15 18:05:57 UTC
Created attachment 148130 [details]
ignore gssapi.h header

krb5-devel has a new header in /usr/include/gssapi.h, a hack to ignore the
header attached.

Comment 6 Chris Petersen 2007-02-18 08:30:23 UTC
Seems to have been built properly now.  Thanks for the patch.  :)